#include <stdio.h>
#include <stdlib.h>

typedef struct person_ {
    char *first_name;
    char *family_name;
} person ;

int main() {

    person *p = malloc(10000000000000);
    if (p==NULL) {
        fprintf(stderr, "Failed to allocate memory!\n");
    }

    return 0;
}
